nz-select {
  margin: 0 10px 10px 0;
  width: 400px;
}

::ng-deep {
  .ant-select:not(.ant-select-customize-input) .ant-select-selector {
    background: unset;
    border: unset;
    height: 40px;
    border-bottom: 1px solid var(--primary);
  }
  .ant-select-selection-placeholder {
    color: var(--primary);
  }
  .ant-select-selector {
    text-align: center;
    color: var(--primary);
  }
  nz-select-clear, nz-select-arrow {
    display: none!important;
  }
  .ant-select-focused:not(.ant-select-disabled).ant-select:not(.ant-select-customize-input) .ant-select-selector {
    border-color: unset!important;
    box-shadow: unset;
  }
  .ant-select-single.ant-select-show-arrow .ant-select-selection-item, .ant-select-single.ant-select-show-arrow .ant-select-selection-placeholder {
    padding-right: 0;
  }
}
